com.mysql.jdbc

## Enum DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant

- java.lang.Object
- - java.lang.Enum<DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant>
  - - com.mysql.jdbc.DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant>

Enclosing class:
  DatabaseMetaDataUsingInfoSchema

    protected static enum DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant
    extends java.lang.Enum<DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FUNCTION_COLUMN_IN`
`FUNCTION_COLUMN_INOUT`
`FUNCTION_COLUMN_OUT`
`FUNCTION_COLUMN_RESULT`
`FUNCTION_COLUMN_RETURN`
`FUNCTION_COLUMN_UNKNOWN`
`FUNCTION_NO_NULLS`
`FUNCTION_NULLABLE`
`FUNCTION_NULLABLE_UNKNOWN`

### Method Summary

Methods
`static DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FUNCTION_COLUMN_UNKNOWN

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_COLUMN_UNKNOWN

#### FUNCTION_COLUMN_IN

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_COLUMN_IN

#### FUNCTION_COLUMN_INOUT

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_COLUMN_INOUT

#### FUNCTION_COLUMN_OUT

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_COLUMN_OUT

#### FUNCTION_COLUMN_RETURN

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_COLUMN_RETURN

#### FUNCTION_COLUMN_RESULT

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_COLUMN_RESULT

#### FUNCTION_NO_NULLS

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_NO_NULLS

#### FUNCTION_NULLABLE

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_NULLABLE

#### FUNCTION_NULLABLE_UNKNOWN

    public static final DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant FUNCTION_NULLABLE_UNKNOWN

### Method Detail

#### values

    public static DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant c : DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabaseMetaDataUsingInfoSchema.JDBC4FunctionConstant valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null